%define anolis_release 3
Name:           perl-File-HomeDir
Version:        1.006
Release:        %{anolis_release}%{?dist}
Summary:        Find your home and other directories on any platform
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-HomeDir
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/File-HomeDir-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.5.3
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# POSIX not used on Linux
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd) >= 3.12
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Path) >= 2.01
BuildRequires:  perl(File::Spec) >= 3.12
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(File::Which) >= 0.05
# Mac::Files not used on Linux
# Mac::SystemDirectory not used on Linux
BuildRequires:  perl(vars)
# Win32 not used on Linux
# Tests:
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Test::More) >= 0.90
# Dependencies:
Requires:       perl(Cwd) >= 3.12
Requires:       perl(File::Path) >= 2.01
Requires:       perl(File::Spec) >= 3.12
Requires:       perl(File::Temp) >= 0.19
Requires:       perl(File::Which) >= 0.05
 
# Remove unwanted and under-specified dependencies
%global __requires_exclude perl\\(Cwd\\)|perl\\(File::Path\\)|perl\\(File::Spec\\)|perl\\(File::Temp\\)|perl\\(File::Which\\)|perl\\(Mac::|perl\\(Win32
 
%description
File::HomeDir is a module for locating the directories that are "owned"
by a user (typically your user) and to solve the various issues that
arise trying to find them consistently across a wide variety of
platforms.
 
%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n File-HomeDir-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}
 
%install
make install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}
 
%check
make test
 
%files
%license LICENSE
%{perl_vendorlib}/File/
%{_mandir}/man3/File::HomeDir.3*
%{_mandir}/man3/File::HomeDir::Darwin.3*
%{_mandir}/man3/File::HomeDir::Darwin::Carbon.3*
%{_mandir}/man3/File::HomeDir::Darwin::Cocoa.3*
%{_mandir}/man3/File::HomeDir::Driver.3*
%{_mandir}/man3/File::HomeDir::FreeDesktop.3*
%{_mandir}/man3/File::HomeDir::MacOS9.3*
%{_mandir}/man3/File::HomeDir::Test.3*
%{_mandir}/man3/File::HomeDir::Unix.3*
%{_mandir}/man3/File::HomeDir::Windows.3*

%files doc
%doc Changes README.md

%changelog
* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.006-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.006-2
- rebuild with perl 5.36.0

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.006-1
- Init from upstream version 1.006
